## knotifications 5.74.0

=== debian/changelog ===
knotifications (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 11:00:07 +0100

knotifications (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 10:59:14 +0100

knotifications (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:33:51 +0100

knotifications (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:07:25 +0100

knotifications (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.
    - Breaks/Replaces to suit Kubuntu history.
    - Build depend on libcanberra-dev audio notification support.

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Jun 2020 20:50:04 +0100

knotifications (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.21.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Remove not needed Build-Depdends.
  * Update symbols from build for 5.70.0.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:56:59 +0200

knotifications (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)
  * Update symbols files

  [ Rik Mills ]
  * New upstream release (5.70.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:33:04 +0100

knotifications (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Remove COPYING.LIB listed in copyright file.
  * Enable hardening all.
  * Remove QT_SELECT.
  * Update symbols from build for 5.69.0.
  * Add Build-Depends-Package to symbols file.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 01:01:13 +0200

=== debian/control ===
Source: knotifications
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               dbus-x11,
               debhelper-compat (= 12),
               doxygen,
               extra-cmake-modules (>= 5.74.0~),
               graphviz,
               libcanberra-dev,
               libdbusmenu-qt5-dev,
               libkf5config-dev (>= 5.74.0~),
               libkf5coreaddons-dev (>= 5.74.0~),
               libkf5windowsystem-dev (>= 5.74.0~),
               libphonon4qt5-dev (>= 4.6.60~),
               libphonon4qt5experimental-dev,
               libqt5sql5-sqlite,
               libqt5texttospeech5-dev,
               libqt5x11extras5-dev (>= 5.12.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.12.0~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb,
Standards-Version: 4.5.0
Homepage: https://projects.kde.org/projects/frameworks/knotifications
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knotifications
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knotifications
Rules-Requires-Root: no

Package: libkf5notifications-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
 .
 This package contains the translations.

Package: libkf5notifications-dev
Architecture: any
Section: libdevel
Depends: libkf5config-dev (>= 5.74.0~),
         libkf5coreaddons-dev (>= 5.74.0~),
         libkf5notifications5 (= ${binary:Version}),
         libkf5windowsystem-dev (>= 5.74.0~),
         qtbase5-dev (>= 5.12.0~),
         ${misc:Depends},
Recommends: libkf5notifications-doc (= ${source:Version})
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
 .
 Contains debug symbols for KNotifications.

Package: libkf5notifications-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
 .
 This package contains the qch documentation files.

Package: libkf5notifications5
Architecture: any
Multi-Arch: same
Depends: libkf5notifications-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5notifications-data (<< 5.70.0-1~)
Replaces: libkf5notifications-data (<< 5.70.0-1~)
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.

## knotifications 5.78.0

=== src/CMakeLists.txt ===
if (Phonon4Qt5_FOUND)
    include_directories(${PHONON_INCLUDE_DIR})
endif()
if (CANBERRA_FOUND)
    include_directories(${CANBERRA_INCLUDE_DIRS})
endif()

ecm_create_qm_loader(knotifications_QM_LOADER knotifications5_qt)

set(knotifications_SRCS

  knotification.cpp
  knotificationmanager.cpp
  kpassivepopup.cpp

  knotifyconfig.cpp
  knotificationplugin.cpp
  knotificationjobuidelegate.cpp
  notifybyexecute.cpp
  notifybylogfile.cpp
  notifybytaskbar.cpp
  ${knotifications_QM_LOADER}
)

if (NOT ANDROID)
    list(APPEND knotifications_SRCS
        kstatusnotifieritem.cpp)
endif()

if (TARGET Qt5::DBus)
  list(APPEND knotifications_SRCS
    kstatusnotifieritemdbus_p.cpp
    knotificationrestrictions.cpp

    imageconverter.cpp #needed to marshal images for sending over dbus by NotifyByPopup
    notifybypopup.cpp
    notifybyportal.cpp
  )
endif()

if (ANDROID)
    add_subdirectory(android)
    list(APPEND knotifications_SRCS notifybyandroid.cpp knotifications.qrc)
endif()

if (WITH_SNORETOAST)
  list(APPEND knotifications_SRCS notifybysnore.cpp)
endif ()

if (APPLE)
  list(APPEND knotifications_SRCS notifybymacosnotificationcenter.mm)
endif()

ecm_qt_declare_logging_category(knotifications_SRCS
    HEADER debug_p.h
    IDENTIFIER LOG_KNOTIFICATIONS
    CATEGORY_NAME kf.notifications
    OLD_CATEGORY_NAMES org.kde.knotifications
    DESCRIPTION "KNotifications"
    EXPORT KNOTIFICATIONS
)

if (Canberra_FOUND)
  set(knotifications_SRCS ${knotifications_SRCS}
  notifybyaudio_canberra.cpp)
elseif (Phonon4Qt5_FOUND)
  set(knotifications_SRCS ${knotifications_SRCS}
  notifybyaudio_phonon.cpp)
endif()

if (Qt5TextToSpeech_FOUND)
  set(knotifications_SRCS ${knotifications_SRCS}
    notifybytts.cpp)
endif()

if (TARGET Qt5::DBus)
  if (dbusmenu-qt5_FOUND)
    message("dbusmenu-qt5_FOUND")
    set(HAVE_DBUSMENUQT 1)
    include_directories(${dbusmenu-qt5_INCLUDE_DIRS})
  else()
    set(HAVE_DBUSMENUQT 0)
  endif()

  qt5_add_dbus_adaptor(knotifications_SRCS     org.kde.StatusNotifierItem.xml
                    kstatusnotifieritemdbus_p.h KStatusNotifierItemDBus)


  set(statusnotifierwatcher_xml org.kde.StatusNotifierWatcher.xml)
  qt5_add_dbus_interface(knotifications_SRCS ${statusnotifierwatcher_xml} statusnotifierwatcher_interface)
  set(notifications_xml org.freedesktop.Notifications.xml)
  qt5_add_dbus_interface(knotifications_SRCS ${notifications_xml} notifications_interface)
endif()

configure_file(config-knotifications.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-knotifications.h )

add_library(KF5Notifications ${knotifications_SRCS})
add_library(KF5::Notifications ALIAS KF5Notifications)

ecm_generate_export_header(KF5Notifications
    EXPORT_FILE_NAME knotifications_export.h
    BASE_NAME KNotifications
    GROUP_BASE_NAME KF
    VERSION ${KF5_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 5.67 5.75 5.76
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF5Notifications INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KNotifications>")

target_link_libraries(KF5Notifications PUBLIC
   Qt5::Widgets
)
if (TARGET Qt5::DBus)
   target_link_libraries(KF5Notifications PUBLIC Qt5::DBus)
endif()
target_link_libraries(KF5Notifications PRIVATE
   KF5::CoreAddons
   KF5::ConfigCore
)

if (TARGET KF5::WindowSystem)
    target_link_libraries(KF5Notifications PRIVATE KF5::WindowSystem)
endif()

if (TARGET SnoreToast::SnoreToastActions)
  target_link_libraries(KF5Notifications PRIVATE Qt5::Network SnoreToast::SnoreToastActions)
endif ()

if (Phonon4Qt5_FOUND)
    target_link_libraries(KF5Notifications PRIVATE
        ${PHONON_LIBRARIES})
endif()

if (Canberra_FOUND)
    target_link_libraries(KF5Notifications PRIVATE
        Canberra::Canberra)
endif()

if (Qt5TextToSpeech_FOUND)
    target_link_libraries(KF5Notifications PRIVATE Qt5::TextToSpeech)
endif()

if(X11_FOUND)
   target_link_libraries(KF5Notifications PRIVATE ${X11_X11_LIB} Qt5::X11Extras)
endif()

if(APPLE)
  target_link_libraries(KF5Notifications PRIVATE Qt5::MacExtras "-framework Foundation" "-framework AppKit")
endif()

if(X11_XTest_FOUND)
  target_link_libraries(KF5Notifications PRIVATE ${X11_XTest_LIB})
endif()

if(HAVE_DBUSMENUQT)
  target_link_libraries(KF5Notifications PRIVATE dbusmenu-qt5)
endif()

if (ANDROID)
    target_link_libraries(KF5Notifications PRIVATE Qt5::AndroidExtras)
endif()

set_target_properties(KF5Notifications PROPERTIES VERSION   ${KNOTIFICATIONS_VERSION_STRING}
                                                  SOVERSION ${KNOTIFICATIONS_SOVERSION}
                                                  EXPORT_NAME Notifications
)

ecm_generate_headers(KNotifications_HEADERS
  HEADER_NAMES
  KNotification
  KPassivePopup
  KStatusNotifierItem
  KNotificationJobUiDelegate
  KNotificationRestrictions
  KNotificationPlugin
  KNotifyConfig

  REQUIRED_HEADERS KNotifications_HEADERS
)

install(TARGETS KF5Notifications EXPORT KF5NotificationsTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/knotifications_export.h
  ${KNotifications_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KNotifications COMPONENT Devel
)

ecm_qt_install_logging_categories(
    EXPORT KNOTIFICATIONS
    FILE knotifications.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5Notifications_QCH
        NAME KNotifications
        BASE_NAME KF5Notifications
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KNotifications_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt5Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KNOTIFICATIONS_EXPORT
            KNOTIFICATIONS_DEPRECATED
            KNOTIFICATIONS_DEPRECATED_EXPORT
            "KNOTIFICATIONS_DEPRECATED_VERSION(x, y, t)"
            "KNOTIFICATIONS_DEPRECATED_VERSION_BELATED(x, y, xt, yt, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

if (TARGET Qt5::DBus)
    install(FILES
        org.kde.StatusNotifierItem.xml
        DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR}
        RENAME kf5_org.kde.StatusNotifierItem.xml)

    install(FILES
        org.kde.StatusNotifierWatcher.xml
        DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR}
        RENAME kf5_org.kde.StatusNotifierWatcher.xml)
endif()

install(FILES
    knotificationplugin.desktop
    DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KNotifications LIB_NAME KF5Notifications DEPS "widgets" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KNotifications)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

if (ANDROID)
    install(FILES KF5Notifications-android-dependencies.xml
        DESTINATION ${KDE_INSTALL_LIBDIR}
        RENAME KF5Notifications_${CMAKE_ANDROID_ARCH_ABI}-android-dependencies.xml
    )
endif()

=== debian/changelog ===
knotifications (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:24 +0900

knotifications (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:43 +0900

knotifications (5.77.0-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Reduce Build-Depends. (Closes: #979454)

 -- Norbert Preining <norbert@preining.info>  Thu, 07 Jan 2021 09:28:17 +0900

knotifications (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:35 +0900

knotifications (5.77.0-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libkf5notifications-dev: Add Multi-Arch: same.

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:54 +0900

knotifications (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:15:41 +0200

knotifications (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Move categories file to libkf5notifications-data.
  * Add renamecategories file to libkf5notifications-data.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:45:12 +0200

=== debian/control ===
Source: knotifications
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.5~),
               dbus-x11 <!nocheck>,
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.78.0~),
               libdbusmenu-qt5-dev,
               libkf5config-dev (>= 5.78.0~),
               libkf5coreaddons-dev (>= 5.78.0~),
               libkf5windowsystem-dev (>= 5.78.0~),
               libphonon4qt5-dev (>= 4.6.60~),
               libphonon4qt5experimental-dev,
               libqt5sql5-sqlite,
               libqt5texttospeech5-dev,
               libqt5x11extras5-dev (>= 5.14.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.14.0~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/knotifications
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knotifications
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/knotifications.git
Rules-Requires-Root: no

Package: libkf5notifications-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5notifications5 (<< 5.74)
Replaces: libkf5notifications5 (<< 5.74)
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
 .
 This package contains the translations.

Package: libkf5notifications-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev (>= 5.78.0~),
         libkf5coreaddons-dev (>= 5.78.0~),
         libkf5notifications5 (= ${binary:Version}),
         libkf5windowsystem-dev (>= 5.78.0~),
         qtbase5-dev (>= 5.14.0~),
         ${misc:Depends}
Breaks: libkf5kdelibs4support-dev (<< 5.54),
        libkf5khtml-dev (<< 5.54),
        libkf5parts-dev (<< 5.54)
Recommends: libkf5notifications-doc (= ${source:Version})
Multi-Arch: same
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
 .
 Contains debug symbols for KNotifications.

Package: libkf5notifications-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5notifications5
Architecture: any
Multi-Arch: same
Depends: libkf5notifications-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: frameworkintegration (<< 5.54),
        kio (<< 5.54),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml5 (<< 5.54),
        libkf5plasma5 (<< 5.54),
        libkf5wallet-bin (<< 5.54),
        libkwalletbackend5-5 (<< 5.54),
        plasma-framework (<< 5.54)
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

TESTS_HOME=$(CURDIR)/debian/tests.home

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p "$(TESTS_HOME)"
	HOME=$(TESTS_HOME) xvfb-run -a dbus-run-session -- dh_auto_test --no-parallel
	rm -rf "$(TESTS_HOME)"
endif

## knotifications 5.80.0

=== debian/changelog ===
knotifications (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:08:45 +0000

knotifications (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:22:53 +0000

knotifications (5.78.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - libkf5notifications-data B/R libkf5notifications5 (<< 5.77.0-2~)
    - Build depend on optional libcanberra-dev 'Needed to build audio
      notification support'.

 -- Rik Mills <rikmills@kde.org>  Sun, 31 Jan 2021 11:56:40 +0000

knotifications (5.78.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.78.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jan 2021 09:57:20 +0000

knotifications (5.77.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - libkf5notifications-data B/R libkf5notifications5 (<< 5.77.0-2~)
    - Build depend on optional libcanberra-dev 'Needed to build audio
      notification support'.

 -- Rik Mills <rikmills@kde.org>  Mon, 04 Jan 2021 21:35:19 +0000

knotifications (5.77.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.77.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Dec 2020 20:11:10 +0000

knotifications (5.76.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.75.0)
  * New upstream release (5.76.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Nov 2020 13:23:42 +0000

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,12 @@
                dbus-x11 <!nocheck>,
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
+               libcanberra-dev,
                libdbusmenu-qt5-dev,
-               libkf5config-dev (>= 5.78.0~),
-               libkf5coreaddons-dev (>= 5.78.0~),
-               libkf5windowsystem-dev (>= 5.78.0~),
+               libkf5config-dev (>= 5.80.0~),
+               libkf5coreaddons-dev (>= 5.80.0~),
+               libkf5windowsystem-dev (>= 5.80.0~),
                libphonon4qt5-dev (>= 4.6.60~),
                libphonon4qt5experimental-dev,
                libqt5sql5-sqlite,
@@ -24,19 +25,19 @@
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
                xauth <!nocheck>,
-               xvfb <!nocheck>
+               xvfb <!nocheck>,
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/knotifications
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knotifications
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/knotifications.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knotifications
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knotifications
 Rules-Requires-Root: no
 
 Package: libkf5notifications-data
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libkf5notifications5 (<< 5.74)
-Replaces: libkf5notifications5 (<< 5.74)
+Breaks: libkf5notifications5 (<< 5.77.0-2~)
+Replaces: libkf5notifications5 (<< 5.77.0-2~)
 Description: Framework for desktop notifications
  KNotification is used to notify the user of an event. It covers
  feedback and persistent events.
@@ -46,12 +47,12 @@
 Package: libkf5notifications-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5config-dev (>= 5.78.0~),
-         libkf5coreaddons-dev (>= 5.78.0~),
+Depends: libkf5config-dev (>= 5.80.0~),
+         libkf5coreaddons-dev (>= 5.80.0~),
          libkf5notifications5 (= ${binary:Version}),
-         libkf5windowsystem-dev (>= 5.78.0~),
+         libkf5windowsystem-dev (>= 5.80.0~),
          qtbase5-dev (>= 5.14.0~),
-         ${misc:Depends}
+         ${misc:Depends},
 Breaks: libkf5kdelibs4support-dev (<< 5.54),
         libkf5khtml-dev (<< 5.54),
         libkf5parts-dev (<< 5.54)

## knotifications 5.86.0

=== debian/changelog ===
knotifications (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:48:54 +0100

knotifications (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:28:13 +0100

knotifications (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 09:01:10 +0100

knotifications (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:18:08 +0100

knotifications (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)
  * Ignore KPassivePopup headers for the acc test so it doesn't fail

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:57:55 +0100

knotifications (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:30:18 +0100

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
                dbus-x11 <!nocheck>,
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
                libcanberra-dev,
                libdbusmenu-qt5-dev,
-               libkf5config-dev (>= 5.80.0~),
-               libkf5coreaddons-dev (>= 5.80.0~),
-               libkf5windowsystem-dev (>= 5.80.0~),
+               libkf5config-dev (>= 5.86.0~),
+               libkf5coreaddons-dev (>= 5.86.0~),
+               libkf5windowsystem-dev (>= 5.86.0~),
                libphonon4qt5-dev (>= 4.6.60~),
                libphonon4qt5experimental-dev,
                libqt5sql5-sqlite,
@@ -47,10 +47,10 @@
 Package: libkf5notifications-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5config-dev (>= 5.80.0~),
-         libkf5coreaddons-dev (>= 5.80.0~),
+Depends: libkf5config-dev (>= 5.86.0~),
+         libkf5coreaddons-dev (>= 5.86.0~),
          libkf5notifications5 (= ${binary:Version}),
-         libkf5windowsystem-dev (>= 5.80.0~),
+         libkf5windowsystem-dev (>= 5.86.0~),
          qtbase5-dev (>= 5.14.0~),
          ${misc:Depends},
 Breaks: libkf5kdelibs4support-dev (<< 5.54),
